Subject: Re: bug#767: 23.0.60; compilation-start gives bad default-directory

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Sun, 07 Sep 2008 22:59:34 +0200

Stefan Monnier wrote:
>>>> I suggested that this should be fixed somewhere in start-process and I
>>>> think Chong added something along those lines.
>>> I saw that yes.  And I think that given the docstring, the patch should
>>> not let-bind default-directory but just setq it (or do nothing at all).
>> Why not change the doc string instead and say that it is recommended
>> that default-directory ends with a slash?
> 
> Because it worked just fine as it is.  You still haven't told us where
> the offending (non slash-terminated) value came from (which is the
> thing that needs to be fixed).

It is not a bad question, but I can't remember now. Whatever I try to do
I get an ending slash there (unless I do not set default-directory
myself of course). However I am quite sure I did not get that before.
Something must be different ...

The value of default-directory on w32 may still use \ instead of /. That
is the case after "emacs -Q", but that is another problem.